Name:          libz
Version:       1.2.8
Release:       2mamba
Summary:       The zlib compression and decompression library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gzip.org/zlib/
Source:        http://www.zlib.net/zlib-%{version}.tar.gz
Patch0:        %{name}-1.2.4-missing_zutil_header.patch
Patch1:        libz-1.2.4-autotools.patch
Patch2:        libz-1.2.5-gentoo.patch
License:       BSD
Obsoletes:     zlib
Provides:      zlib = %{version}-%{release}
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The zlib compression library provides in-memory compression and decompression functions, including integrity checks of the uncompressed data.
This version of the library supports only one compression method (deflation), but other algorithms may be added later, which will have the same stream interface.
The zlib library is used by many different system programs.

%package devel
Summary:       Static libraries and headers for %{name}
Group:         Development/Libraries
Obsoletes:     zlib-devel
Provides:      zlib-devel = %{version}-%{release}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The zlib compression library provides in-memory compression and decompression functions, including integrity checks of the uncompressed data.
This version of the library supports only one compression method (deflation), but other algorithms may be added later, which will have the same stream interface.
The zlib library is used by many different system programs.

This package contains static libraries and header files need for development.

%package -n minizip
Summary:       Minizip manipulates files from a .zip archive
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     minizip-devel

%description -n  minizip
Minizip manipulates files from a .zip archive.

%ifarch x86_64_disabled
%package -n lib32-libz
Summary:       The zlib compression and decompression library (32 bit)
Group:         System/Libraries

%description -n lib32-libz
The zlib compression library provides in-memory compression and decompression functions, including integrity checks of the uncompressed data.
This version of the library supports only one compression method (deflation), but other algorithms may be added later, which will have the same stream interface.
The zlib library is used by many different system programs.

%package -n lib32-libz-devel
Summary:       32bit static libraries and headers for %{name}
Group:         Development/Libraries
Requires:      lib32-%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib32-libz-devel
The zlib compression library provides in-memory compression and decompression functions, including integrity checks of the uncompressed data.
This version of the library supports only one compression method (deflation), but other algorithms may be added later, which will have the same stream interface.
The zlib library is used by many different system programs.

This package contains static libraries and header files need for development.
%endif

%prep
%setup -q -n zlib-%{version}
%patch0 -p1 -b .missing_zutil_header
%patch1 -p1 -b .atools
#%patch2 -p1 -b .g

mkdir contrib/minizip/m4
cp test/minigzip.c contrib/minizip
iconv -f windows-1252 -t utf-8 <ChangeLog >ChangeLog.tmp
mv ChangeLog.tmp ChangeLog

%build
CC=%{_target_platform}-gcc \
CFLAGS="%{optflags}" \
CXXLAGS="%{optflags}" \
./configure --prefix=%{_prefix} --libdir=%{_libdir}

%make

(
  cd contrib/minizip
#  autoreconf --install
#  % configure  \
#      CPPFLAGS="-I%{_builddir}/zlib-%{version}" \
#      LDFLAGS="-L%{_builddir}/zlib-%{version}"
  %make CC=%{_host}-gcc
)

%if "%{_target_cpu}" == "%{_build_cpu}"
%make test
%endif

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

install -d %{buildroot}/%{_lib}
mv %{buildroot}%{_libdir}/libz.so.* %{buildroot}/%{_lib}
ln -sf ../../%{_lib}/libz.so.%{version} %{buildroot}%{_libdir}/libz.so

cd contrib/minizip
install -D -m0755 minizip %{buildroot}%{_bindir}/minizip
install -D -m0755 miniunz %{buildroot}%{_bindir}/miniunz
install -d -m0755 %{buildroot}%{_includedir}/minizip
cp *.h %{buildroot}%{_includedir}/minizip/
cd ../..

#%ifarch x86_64_disabled
#make clean
#CC=%{_target_platform}-gcc \
#CFLAGS="%{optflags} -m32" \
#CXXLAGS="%{optflags} -m32" \
#./configure --prefix=%{_prefix} --libdir=%{_prefix}/lib
#%make
#make install-libs DESTDIR=%{buildroot}
#
#install -d %{buildroot}/lib
#mv %{buildroot}%{_prefix}/lib/libz.so.* %{buildroot}/lib
#ln -sf ../../lib/libz.so.%{version} %{buildroot}%{_prefix}/lib/libz.so
#%endif

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/%{_lib}/libz.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%dir %{_includedir}/minizip
%{_includedir}/minizip/*.h
%{_libdir}/libz.a
%{_libdir}/libz.so
%{_libdir}/pkgconfig/zlib.pc
%{_mandir}/man3/zlib.*
%doc ChangeLog FAQ README

%files -n minizip
%defattr(-,root,root)
%{_bindir}/minizip
%{_bindir}/miniunz
%doc contrib/minizip/MiniZip64_info.txt contrib/minizip/MiniZip64_Changes.txt

#%ifarch x86_64_disabled
#%files -n lib32-libz
#%defattr(-,root,root)
#/lib/libz.so.*
#
#%files -n lib32-libz-devel
#%defattr(-,root,root)
#%{_prefix}/lib/libz.a
#%{_prefix}/lib/libz.so
#%{_prefix}/lib/pkgconfig/zlib.pc
#%endif

%changelog
* Sun Dec 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-2mamba
- install minizip headers for chromium

* Tue Apr 30 2013 Automatic Build System <autodist@mambasoft.it> 1.2.8-1mamba
- automatic version update by autodist

* Mon May 07 2012 Automatic Build System <autodist@mambasoft.it> 1.2.7-1mamba
- automatic version update by autodist

* Fri Apr 13 2012 Automatic Build System <autodist@mambasoft.it> 1.2.6-1mamba
- automatic version update by autodist

* Wed Nov 10 2010 gil <puntogil@libero.it> 1.2.5-3mamba
- add new sub package minizip

* Wed Aug 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.5-2mamba
- make libz.so symlink relative to make it work in cross-build enviroments

* Sat May 08 2010 Automatic Build System <autodist@mambasoft.it> 1.2.5-1mamba
- automatic update to 1.2.5 by autodist

* Sat Apr 10 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.2.4-1mamba
- update to 1.2.4
- update patch

* Wed Jun 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-3mamba
- specfile updated

* Fri Sep 16 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.3-2qilnx
- fixed broken symlink libz.so
- modified package name from zlib to libz to match QiLinux standards

* Mon Sep 12 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-1qilnx
- update to version 1.2.3 by autospec
- cross platform build support

* Tue Jul 26 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.2-4qilnx
- fix for QSA-2005-081 (CAN-2005-1849)

* Thu Jul 07 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.2-3qilnx
- security fix QSA-2005-079 (CAN-2005-2096)
- use RPM_OPT_FLAGS

* Wed Jan 26 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.2-2qilnx
- added missing devel package requirement for main package

* Fri Nov 05 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.2-1qilnx
- update to version 1.2.2 by autospec

* Mon Sep 13 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.1-4qilnx
- security fix: CAN-2004-0797

* Fri May 14 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.1-3qilnx
- fixed zlib.so link

* Wed May 12 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.1-2qilnx
- added patch0: zutil.h is needed by some software at compile time

* Wed Mar 10 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.1-1qilnx
- specfile cleanups and version update

* Fri Apr 11 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it>
- creation of zlib package
